#ifndef __KEYBOARD
#define __KEYBOARD

#include "common.h"

//Local defs
#define TOUCH_WRITE_ADDR (0x5A<<1)
#define TOUCH_ADDR ((0x5A)<<1)
#define TOUCH_READ_ADDR ((0x5A<<1)+1)
enum input_mode{keybmode_numeric,keybmode_alpha};

//Global functions
void KEYB_Init(void);
inline void KEYB_SetMode(uint8_t setmode);
inline uint8_t KEYB_GetMode(void);
uint8_t KEYB_ReadKey(void);

//Local functions
unsigned char Keyb_Read_REG(unsigned char addr);
void Touch_Write_REG(unsigned char addr, unsigned char data);



#endif
